Public Class Form1
    ' Select a file for opening.
    Private Sub btnOpenFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOpenFile.Click
        ' Initialize.
        ofdFile.FileName = txtOpenFile.Text

        ' Display and check result.
        If (ofdFile.ShowDialog() = DialogResult.OK) Then
            ' Take action.
            txtOpenFile.Text = ofdFile.FileName
        End If
    End Sub

    ' Select a file for saving.
    Private Sub btnSaveFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSaveFile.Click
        ' Initialize.
        sfdFile.FileName = txtSaveFile.Text

        ' Display and check result.
        If (sfdFile.ShowDialog() = DialogResult.OK) Then
            ' Take action.
            txtSaveFile.Text = sfdFile.FileName
        End If
    End Sub

    ' Select a BackColor.
    Private Sub btnBackColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBackColor.Click
        ' Initialize.
        cdColor.Color = Me.BackColor

        ' Display and check result.
        If (cdColor.ShowDialog() = DialogResult.OK) Then
            ' Take action.
            Me.BackColor = cdColor.Color
        End If
    End Sub

    ' Select a ForeColor.
    Private Sub btnForeColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnForeColor.Click
        ' Initialize.
        cdColor.Color = Me.ForeColor

        ' Display and check result.
        If (cdColor.ShowDialog() = DialogResult.OK) Then
            ' Take action.
            Me.ForeColor = cdColor.Color
        End If
    End Sub

    ' Select a font.
    Private Sub btnFont_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFont.Click
        ' Initialize.
        fdFont.Font = Me.Font

        ' Display and check result.
        If (fdFont.ShowDialog() = DialogResult.OK) Then
            ' Take action.
            Me.Font = fdFont.Font
        End If
    End Sub
End Class
